aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorIdo Schimmel <idosch@mellanox.com>2020-08-23 11:06:24 +0300
committerDavid S. Miller <davem@davemloft.net>2020-08-24 17:36:11 -0700
commit8e0d8ce4fc8ba96af716f7a80702e71c3e379f85 (patch)
treec776df7ffd608fc93e390ee0b0b0fecd31201b26 /tools
parentselftests: mlxsw: Decrease required rate accuracy (diff)
downloadlinux-dev-8e0d8ce4fc8ba96af716f7a80702e71c3e379f85.tar.xz
linux-dev-8e0d8ce4fc8ba96af716f7a80702e71c3e379f85.zip
selftests: mlxsw: Increase burst size for rate test
The current combination of rate and burst size does not adhere to Spectrum-{2,3} limitation which states that the minimum burst size should be 40% of the rate. Increase the burst size in order to honor above mentioned limitation and avoid intermittent failures of this test case on Spectrum-{2,3}. Signed-off-by: Ido Schimmel <idosch@mellanox.com> Signed-off-by: David S. Miller <davem@davemloft.net>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/testing/selftests/drivers/net/mlxsw/devlink_trap_policer.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tools/testing/selftests/drivers/net/mlxsw/devlink_trap_policer.sh b/tools/testing/selftests/drivers/net/mlxsw/devlink_trap_policer.sh
index bd4ffed1cca3..ecba9ab81c2a 100755
--- a/tools/testing/selftests/drivers/net/mlxsw/devlink_trap_policer.sh
+++ b/tools/testing/selftests/drivers/net/mlxsw/devlink_trap_policer.sh
@@ -207,7 +207,7 @@ __rate_test()
RET=0
- devlink trap policer set $DEVLINK_DEV policer $id rate 1000 burst 16
+ devlink trap policer set $DEVLINK_DEV policer $id rate 1000 burst 512
devlink trap group set $DEVLINK_DEV group l3_drops policer $id
# Send packets at highest possible rate and make sure they are dropped